gnutls_ia_allocate_server_credentials(3)

NAME
gnutls_ia_allocate_server_credentials - Used to allocate an gnutls_ia_server_credentials_t structure

SYNOPSIS
#include <gnutls/extra.h>

int gnutls_ia_allocate_server_credentials(gnutls_ia_server_credentials_t * sc);

ARGUMENTS

gnutls_ia_server_credentials_t * sc
    is a pointer to an gnutls_ia_server_credentials_t structure.

DESCRIPTION
This structure is complex enough to manipulate directly thus this helper function is provided in order to allocate it. Adding this credential to a session will enable TLS/IA, and will require an Application Phase after the TLS handshake (if the client support TLS/IA). Use gnutls_ia_require_inner_phase() to toggle the TLS/IA mode.

RETURNS
On success, GNUTLS_E_SUCCESS (0) is returned, otherwise an error code is returned.

REPORTING BUGS
Report bugs to <bug-gnutls@gnu.org>.

COPYRIGHT
Copyright © 2008 Free Software Foundation.
Permission is granted to make and distribute verbatim copies of this manual provided the copyright notice and this permission notice are preserved on all copies.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the info and gnutls programs are properly installed at your site, the command

    info gnutls

should give you access to the complete manual.